﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
	<title>BarraProceso</title>
	<style>
	
	.caja{
		width: 400px;
		height: 60px;
		border: 2px solid green;
		margin:0 auto;	
	}
	
	.proceso{
		background-color:olive;
		height: 60px;
		text-align: center;
		line-height:60px;
		animation: barra 6s infinite normal;
	}
	.texto{
		width: 400px;
		color:green;
		font-size: x-large;
		font-weight:bold;
		mix-blend-mode: screen;
	}
	.texto:after{
		animation: porcentaje 6s infinite normal;
		content:"0%";
	}
	
	@keyframes barra{
		0% { width: 1px;}
		100% { width: 400px;}
	}
	
	@keyframes porcentaje{
		0% { content:"0%";}
		25% { content:"25%";}
		50% { content:"50%";}
		75% { content:"75%";}
		100% { content:"100%";}
	}


	
	</style>
</head>

<body>
	
	<div class="caja">
	
		<div class="proceso">
		
			<div class="texto"> &nbsp; </div>
		
		</div>
	
	</div>
	
</body>

</html>
